# Listing 9 - Get-VulnerabilityStatus.ps1
Function Get-VulnerabilityStatus{
    param(
        [string]$Id,
        [string]$Product,
        [string]$Computer
    )
    # First check is the patch is installed
    $HotFixStatus = @{
        Id       = $Id
        Computer = $Computer
    }
    $Status = Get-HotFixStatus @HotFixStatus

    # If not installed, check for any patches that supersede it
    if($Status -eq $false){
        $Supersedence = Find-KbSupersedence -KbArticle $Id
        $KBs = $Supersedence | 
            Where-Object{ $_.Products -contains $Product }
        # Check each superseded patch to see if any are installed
        foreach($item in $KBs.SupersededBy){
            $Test = Get-HotFixStatus -Id $item.KbArticle -Computer $Computer
            if($Test -eq $true){
                $item.KbArticle
                # If a superseded patch is found, there is no need to check additional ones, so go ahead and break the foreach loop
                break
            }
        }
    }
    else{
        $Id
    }
}
